//
//  UIColor+Extensions.swift
//  CapCollector
//
//  Created by Christoph on 14.04.20.
//  Copyright © 2020 CH. All rights reserved.
//

import UIKit

extension UIColor {
    
    var rgb: (red: Int, green: Int, blue: Int) {
        var fRed: CGFloat = 0
        var fGreen: CGFloat = 0
        var fBlue: CGFloat = 0
        var fAlpha: CGFloat = 0
        getRed(&fRed, green: &fGreen, blue: &fBlue, alpha: &fAlpha)
        return (Int(fRed * 255.0), Int(fGreen * 255.0), Int(fBlue * 255.0))
    }
}

